Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Sep 2014 10:06:28 +0000

Dear WG,

We had several discussions showing a good consensus adopting draft-sivabalan-pce-segment-routing-03.txt and this work
has considerably progressed in other WG.

Are you in favor of adopting draft-sivabalan-pce-segment-routing-03.txt as a PCE WG document ?

Thanks.

JP and Julien.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Sep 2014 13:54:21 +0000

Begin forwarded message:

> From: "JP Vasseur (jvasseur)" <[email-masked]>
> Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document
> Date: September 14, 2014 at 12:06:28 PM GMT+2
> To: "[email-masked]" <[email-masked]>
> 
> Dear WG,
> 
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: "Santiago Alvarez (saalvare)" <[email-masked]>
Date: Sun, 14 Sep 2014 19:19:55 +0000

Support.

SA
--

From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: Sunday, September 14, 2014 6:54 AM
To: [email-masked]
Subject: [Pce] Fwd: Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Begin forwarded message:

From: "JP Vasseur (jvasseur)" <[email-masked]<mailto:[email-masked]>>
Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document
Date: September 14, 2014 at 12:06:28 PM GMT+2
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Dear WG,

Thanks.

JP and Julien.

_______________________________________________
Pce mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pce

---

From: Jeff Tantsura <[email-masked]>
Date: Sun, 14 Sep 2014 21:30:24 +0000

Hi,

Support as co-author.
Thanks!

Regards,
Jeff

> On Sep 14, 2014, at 3:07 AM, "JP Vasseur (jvasseur)" <[email-masked]> wrote:
> 
> Dear WG,
>

---

From: "Jan Medved (jmedved)" <[email-masked]>
Date: Sun, 14 Sep 2014 22:54:34 +0000

Support as a co-author

On 9/14/14, 2:30 PM, "Jeff Tantsura" <[email-masked]> wrote:

>> We had several discussions showing a good consensus adopting
>>draft-sivabalan-pce-segment-routing-03.txt and this work

---

From: Autumn Liu <[email-masked]>
Date: Sun, 14 Sep 2014 22:54:57 +0000

Support.
-Autumn

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: Sunday, September 14, 2014 3:06 AM
To: [email-masked]
Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Dear WG,

We had several discussions showing a good consensus adopting draft-sivabalan-pce-segment-routing-03.txt and this work has considerably progressed in other WG.

Thanks.

JP and Julien.

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 15 Sep 2014 01:59:53 +0200

Support

Regards,
Greg

---

From: "Shah, Himanshu" <[email-masked]>
Date: Sun, 14 Sep 2014 20:00:37 -0400

Support
/himanshu
________________________________________
From: Pce [[email-masked]] On Behalf Of JP Vasseur (jvasseur) [[email-masked]]
Sent: Sunday, September 14, 2014 9:54 AM
To: [email-masked]
Subject: [Pce] Fwd: Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Begin forwarded message:

Dear WG,

Thanks.

JP and Julien.

---

From: Xuxiaohu <[email-masked]>
Date: Mon, 15 Sep 2014 01:40:13 +0000

Support.

Xiaohu

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: Sunday, September 14, 2014 6:06 PM
To: [email-masked]
Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Dear WG,

Thanks.

JP and Julien.

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 15 Sep 2014 04:18:16 +0000

Support!

Thanks

Regards Š Zafar

-----Original Message-----
From: "JP Vasseur   (jvasseur)" <[email-masked]>
Date: Sunday, September 14, 2014 6:06 AM
To: "[email-masked]" <[email-masked]>
Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as
PCE WG Document

---

From: Qin Wu <[email-masked]>
Date: Mon, 15 Sep 2014 04:48:46 +0000

Support.

Regards!
-Qin
-----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 JP Vasseur (jvasseur)
发送时间: 2014年9月14日 18:06
收件人: [email-masked]
主题: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Dear WG,

Thanks.

JP and Julien.

---

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 15 Sep 2014 07:02:00 +0000

Yes, support

BR
Daniele

> Sent: domenica 14 settembre 2014 12:06
> To: [email-masked]
> We had several discussions showing a good consensus adopting draft-
> sivabalan-pce-segment-routing-03.txt and this work has considerably
> progressed in other WG.
>

---

From: VICTOR LOPEZ ALVAREZ <[email-masked]>
Date: Mon, 15 Sep 2014 09:38:44 +0000

Hi,

Support as co-author.
Thanks!

Victor

El 15/09/14 09:02, "Daniele Ceccarelli" <[email-masked]>
escribió:

>> Are you in favor of adopting draft-sivabalan-pce-segment-routing-03.txt
>>as a
>> PCE WG document ?
>>
>> Thanks.
>>
>> JP and Julien.
>>
>>
>

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: <[email-masked]>
Date: Mon, 15 Sep 2014 09:51:00 +0000

Support

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of VICTOR LOPEZ ALVAREZ
Sent: Monday, September 15, 2014 11:39
To: [email-masked]
Subject: Re: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Hi,

Support as co-author.
Thanks!

Victor

El 15/09/14 09:02, "Daniele Ceccarelli" <[email-masked]>
escribió:

>> Are you in favor of adopting 
>>draft-sivabalan-pce-segment-routing-03.txt
>>as a
>> PCE WG document ?
>>
>> Thanks.
>>
>> JP and Julien.
>>
>>
>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Mon, 15 Sep 2014 13:55:47 +0000

Support.

Thanks,
Rakesh

On 2014-09-14 6:06 AM, "JP Vasseur (jvasseur)" <[email-masked]> wrote:

>as a PCE WG document ?

---

From: Ina Minei <[email-masked]>
Date: Mon, 15 Sep 2014 09:03:14 -0700

support

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 15 Sep 2014 23:42:48 +0200

In favor (as co-author).

Cheers,
R.

---

From: Jonathan Hardwick <[email-masked]>
Date: Tue, 16 Sep 2014 09:21:19 +0000

Yes, I'm in favour of adopting this.
Jon

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 14 September 2014 11:06
To: [email-masked]
Subject: [Pce] Adopting of draft-sivabalan-pce-segment-routing-03.txt as PCE WG Document

Dear WG,

Thanks.

JP and Julien.

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Tue, 16 Sep 2014 13:30:10 +0000

support.

s.

---

From: Uma Chunduri <[email-masked]>
Date: Tue, 16 Sep 2014 18:06:10 +0000

Support.

--
Uma C.

Begin forwarded message:

Dear WG,

Thanks.

JP and Julien.

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 17 Sep 2014 09:18:46 +0000

Support, have following suggestions...

Sec 1.  Introduction
   
   A PCE or a
   PCC operating as a PCE (in hierarchical PCE environment) computes
   paths for MPLS Traffic Engineering LSPs (MPLS-TE LSPs) based on
   various constraints and optimization criteria.

I find 'PCC operating as a PCE' confusing here, it doesn't add any value, perhaps you could say "A PCE or a set of cooperating PCEs compute ...."

Sec 3.  Overview of PCEP Operation in SR Networks
   
   o  An ordered set of both MPLS label(s) and IP address(es): In this
      case, the PCC needs to convert the IP address(es) into the
      corresponding SID(s) by consulting its TED.

Do you mean a combination of label and corresponding IP address? Or some nodes and links are represented as Labels and some with IP address? The description seems to suggest the latter in which case it might be stated more clearly. 

   Furthermore, an LSP initially established
   via RSVP-TE signaling can be updated with SR-TE path.  This
   capability is useful when a network is migrated from RSVP-TE to SR-TE
   technology.  Similarly, an LSP initially created with SR-TE path can
   updated to signal the LSP using RSVP-TE if necessary.

The procedure to do so should be stated, the Path Setup Type TLV with the new PST seems like an obvious solution, maybe this could be placed in draft-sivabalan-pce-lsp-setup-type as a generic mechanism. 

   The extensions specified in this document are applicable to the
   stateless PCE model defined in [RFC5440], as well as for the active
   stateful and passive stateful PCE models defined in
   [I-D.ietf-pce-stateful-pce].

[I-D.ietf-pce-pce-initiated-lsp] can be added to this list as well. 

   The SR Capability TLV is meaningful only in the OPEN message sent
   from a PCC to a PCE.  

I think you mean the MSD value inside the SR capability TLV and not the full TLV itself?

Sec 5.3.  ERO Object

   Note that an SR-ERO subobject does not need to
   have both SID and NAI.  However, at least one of them MUST be
   present.

To handle this case you suggest...

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |L|    Type     |     Length    |  ST   |     Flags     |F|S|C|M|
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                              SID                              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     //                        NAI (variable)                       //
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

SR-ERO subobject may have only SID, only NAI or both, and you list the various combination of length possible for each ST type. 
The figure above doesn't reflect that, as SID looks permanent. 

Moreover, can the encoding be simplified by making SID encoding a must (as shown in the figure in the draft) with a suitable NULL value reserved for the case when SID is not present or simply the value is ignored when S flag is set. 

Nits
- Expand LDP, RSVP-TE on first use
- Update reference filsfils-rtgwg-segment-routing to draft-filsfils-spring-segment-routing
- SID Type (ST) can be listed independently and not clubbed with NAI description in section 5.3.1

Hope the authors and WG find these useful.

Regards,
Dhruv

> Sent: 14 September 2014 18:06
> To: [email-masked]
> We had several discussions showing a good consensus adopting draft-sivabalan-
> pce-segment-routing-03.txt and this work has considerably progressed in other
> WG.
>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 18 Sep 2014 20:50:29 +0000

Dear WG,

There is a clear consensus: authors please resubmit as draft-ietf-pce-segment-routing-00.txt, with no
other change than title, date.

Thanks.

JP.

---

From: Mohan Nanduri <[email-masked]>
Date: Mon, 22 Sep 2014 09:35:06 -0400

Support.

Cheers,
-Mohan

---

From: Ebben Aries <[email-masked]>
Date: Mon, 22 Sep 2014 09:07:42 -0600

support

On 09/14/2014 04:06 AM, JP Vasseur (jvasseur) wrote:
> https://urldefense.proofpoint.com/v1/url?u=https://www.ietf.org/mailman/listinfo/pce&k=ZVNjlDMF0FElm4dQtryO4A%3D%3D%0A&r=GJQFPrZyyh453ywaGV%2FvoQ%3D%3D%0A&m=PqoUJwkAGDuIloyrQ8tNdt8zbgEUxJ4ZYdj6DsdElaE%3D%0A&s=b165daa2bfce627d2c91588c03aaa6ee663472f092169de02b0d91e594efd0ba
>